--- title: "getCloudMongoDbBackupList" slug: "database-vmongodb-getcloudmongodbbackuplist" updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vmongodb-getcloudmongodbbackuplist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudMongoDbBackupList Available in VPC Get the backup list of a Cloud DB for MongoDB instance. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET \| POST | /vmongodb/v2/getCloudMongoDbBackupList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for MongoDB (VPC) APIs, see [Cloud DB for MongoDB (VPC) request headers](/docs/en/database-vmongodb#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the Cloud DB for MongoDB instance to view - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) - First Region of the `getRegionList` query result (default) | | `pageNo` | Integer | Optional | Page numbers in paged results - Page the result values using `pageNo` and `pageSize` - 0 (minimum) | | `pageSize` | Integer | Conditional | Number of results to display on a page - Page the result values using `pageNo` and `pageSize` - Required when entering `pageNo` - 1 - 1000 | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmongodb/v2/getCloudMongoDbBackupList ?regionCode=KR &pageNo=0 &pageSize=1 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [CloudMongoDbBackupList](/docs/en/common-vapidatatype-cloudmongodbbackuplist) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MongoDB (VPC) APIs, see [Cloud DB for MongoDB (VPC) response status codes](/docs/en/database-vmongodb#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. - If `responseFormatType=json` ``` { "getCloudMongoDbBackupListResponse": { "totalRows": 2, "cloudMongoDbBackupList": [ { "cloudMongoDbInstanceNo": "2512****", "cloudMongoDbServiceName": "mongo002", "backupFileRetentionPeriod": 1, "backupTime": "02:00", "backupSize": 16384, "lastBackupDate": "2024-07-03T02:00:02+0900" } ], "requestId": "c5afd2a2-****-****-****-87f172c022de", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` c5afd2a2-****-****-****-87f172c022de 0 success 2 2512**** mongo002 1 02:00 16384 2024-07-03T02:00:02+0900 ```